<div class="wrap">
	<?php screen_icon() ?>
	<h2><?php _e( 'Blogfa Template Renderer', $this->textdomain ) ?></h2>
	<form method="post" action="options.php">
		<?php settings_fields( 'blogfa_settings' ); ?>
		<?php settings_errors(); ?>
		<input type="hidden" name="blogfa[previous_template]" value="<?php echo $options['previous_template'] ?>" />
		<input type="hidden" name="blogfa[previous_stylesheet]" value="<?php echo $options['previous_stylesheet'] ?>" />
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row"><?php _e( 'Template:', $this->textdomain ) ?></th>
					<td><textarea name="blogfa[template]" rows="10" cols="50" class="large-text code"><?php echo $options['template'] ?></textarea></td>
				</tr>
				<tr valign="top">
					<th scope="row"><?php _e( 'Custom HTML:', $this->textdomain ) ?></th>
					<td><textarea name="blogfa[html]" rows="5" cols="50" class="large-text code"><?php echo $options['html'] ?></textarea></td>
				</tr>
				<tr valign="top">
					<th scope="row"><?php _e( 'About Text:', $this->textdomain ) ?></th>
					<td><textarea name="blogfa[about]" rows="5" cols="50" class="large-text code"><?php echo $options['about'] ?></textarea></td>
				</tr>
				<tr valign="top">
					<th scope="row"><?php _e( 'Photo:', $this->textdomain ) ?></th>
					<td><input type="text" name="blogfa[photo]" class="regular-text" value="<?php echo $options['photo'] ?>" /><input type="button" class="button-secondary media-upload" value=" <?php _e( 'Upload', $this->textdomain ) ?> " /></td>
				</tr>
				<tr valign="top">
					<th scope="row"><?php _e( 'Daily Links:', $this->textdomain ) ?></th>
					<td><select name="blogfa[daily]">
						<?php $this->_links_category_dropdown( $options['daily'] ) ?>
					</select></td>
				</tr>
				<tr valign="top">
					<th scope="row"><?php _e( 'Links:', $this->textdomain ) ?></th>
					<td><select name="blogfa[links]">
						<?php $this->_links_category_dropdown( $options['links'] ) ?>
					</select></td>
				</tr>
			</tbody>
		</table>
		<?php submit_button() ?>
	</form>
</div><!-- .wrap -->