<?php

/**
 * Checks if there's more than one author
 *
 * @since 0.1
 * @return bool
 */
function check_for_multi_author() {
	global $wpdb;

	$author_count = array();
	foreach ( (array) $wpdb->get_results("SELECT DISTINCT post_author, COUNT(ID) AS count FROM $wpdb->posts WHERE post_type = 'post' AND " . get_private_posts_cap_sql( 'post' ) . " GROUP BY post_author") as $row )
		$author_count[$row->post_author] = $row->count;

	return ( count( $author_count ) > 1 ) ? true : false;
}